PDA

View Full Version : Must have commercial plugins?



Tony3d
11-27-2012, 10:54 AM
Making up my Christmas list. What are the must have commercial plugins that run on a Mac, Lightwave 11.0, and up?

Sensei
11-27-2012, 11:03 AM
Global Materials
http://globalmaterials.trueart.eu
even requires LW v11.. ;)

Phil
11-27-2012, 12:12 PM
As ever, it depends on what you want to do and what your budget might be.

daforum
11-27-2012, 12:58 PM
I would put RHiggit on your list: http://rebelhill.net/html/rhiggit.html

erikals
11-27-2012, 04:09 PM
Octane
...and the new Octane LW plugin (out in a month or two...)

Turbulence4D (think it works on Mac... but check)

LWCAD

3rdParty 3DCoat

EasySplit

jwiede
11-28-2012, 10:57 AM
Turbulence4D (think it works on Mac... but check)
It works fine on Mac LW.

Agree with other recommendations, esp. LWCAD (except for Octane as it doesn't exist yet). I'd also recommend (in no particular order) Pictrix plugins, rest of Sensei's modeling pack for Mac & TrueGroup, Liberty3D's QuadPanels & UberCam plugins, Jovian color picker.

Tony3d
11-30-2012, 06:08 AM
Thanks all.